[darcs-users] regex-compat, hscurses/nanocurses

Judah Jacobson judah.jacobson at gmail.com
Fri Feb 20 06:46:13 UTC 2009


On Thu, Feb 19, 2009 at 8:55 PM, Trent W. Buck <trentbuck at gmail.com> wrote:
> Currently Darcs needs regex-compat, which I presume is a backwards
> compatibility module before transitioning to the current API.  Should we
> look at switching to the current API?
>
> Secondly, AFAIK we currently either use libncurses directly, or not at
> all.  I see two Haskell third-party abstractions in cabal list: are
> either of these viable and advisable to adopt?

AFAICT, the only place where Darcs uses ncurses is to get the number
of colors in the terminal.  And we already have an option to use the
Haskell terminfo package for this (cabal install -f terminfo).  In
fact, the "terminfo" package really depends on lib(n)curses anyway, so
we should probably get rid of the FFI HAVE_CURSES (-f curses) case
altogether.

(Also, the terminfo package is used by Haskeline on POSIX, so it'll
soon be a required dependency anway.)

-Judah


More information about the darcs-users mailing list